VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "mscomctl.ocx"
Begin VB.MDIForm formMain 
   BackColor       =   &H8000000C&
   Caption         =   "Chameleon Control"
   ClientHeight    =   8895
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   12435
   Icon            =   "MDIForm1.frx":0000
   LinkTopic       =   "MDIForm1"
   StartUpPosition =   3  'Windows Default
   Begin MSComctlLib.StatusBar statusBar 
      Align           =   2  'Align Bottom
      Height          =   285
      Left            =   0
      TabIndex        =   0
      Top             =   8610
      Width           =   12435
      _ExtentX        =   21934
      _ExtentY        =   503
      _Version        =   393216
      BeginProperty Panels {8E3867A5-8586-11D1-B16A-00C0F0283628} 
         NumPanels       =   3
         BeginProperty Panel1 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
            AutoSize        =   1
            Object.Width           =   16298
         EndProperty
         BeginProperty Panel2 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
            Style           =   5
            Alignment       =   1
            TextSave        =   "13:08"
         EndProperty
         BeginProperty Panel3 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
            Style           =   6
            Alignment       =   1
            TextSave        =   "03/09/2009"
         EndProperty
      EndProperty
   End
   Begin MSComDlg.CommonDialog dialogCommon 
      Left            =   360
      Top             =   600
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Menu file 
      Caption         =   "&File"
      Begin VB.Menu openScript 
         Caption         =   "&Open Script"
         Shortcut        =   ^O
      End
      Begin VB.Menu saveScript 
         Caption         =   "&Save Script"
         Shortcut        =   ^S
      End
      Begin VB.Menu saveAs 
         Caption         =   "Save Script &As"
         Shortcut        =   ^A
      End
      Begin VB.Menu s0 
         Caption         =   "-"
      End
      Begin VB.Menu runScript 
         Caption         =   "Sen&d Script"
         Shortcut        =   ^D
      End
      Begin VB.Menu s1 
         Caption         =   "-"
      End
      Begin VB.Menu quit 
         Caption         =   "&Quit"
         Shortcut        =   ^Q
      End
   End
   Begin VB.Menu view 
      Caption         =   "&View"
      Begin VB.Menu communications 
         Caption         =   "&Communications"
         Shortcut        =   ^K
      End
      Begin VB.Menu digitalPins 
         Caption         =   "&Digital Pins"
         Shortcut        =   ^P
      End
      Begin VB.Menu analogLevels 
         Caption         =   "&Analog Levels"
         Shortcut        =   ^L
      End
      Begin VB.Menu scripting 
         Caption         =   "&Scripting"
      End
   End
   Begin VB.Menu help 
      Caption         =   "&Help"
      Begin VB.Menu about 
         Caption         =   "&About Chameleon Control"
      End
   End
End
Attribute VB_Name = "formMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub MDIForm_Load()
    
    Dim myLine As String
    
    If Dir("database.ini") <> "" Then
    
        Open "database.ini" For Input As #1
        While Not EOF(1)
            Line Input #1, myLine
            words = Split(myLine)
            value = Val(words(1))
            Select Case words(0)
                
                Case "mainTop":     formMain.Top = value
                Case "mainLeft":    formMain.Left = value
                Case "mainWidth":   formMain.Width = value
                Case "mainHeight":  formMain.Height = value
                
                Case "viewCom":     If value > 0 Then viewCom = 1
                Case "comTop":      If viewCom = 1 Then formCommunications.Top = value
                Case "comLeft":     If viewCom = 1 Then formCommunications.Left = value
                
                Case "viewDig":     If value > 0 Then viewDig = 1
                Case "digTop":      If viewDig = 1 Then formDigitalPins.Top = value
                Case "digLeft":     If viewDig = 1 Then formDigitalPins.Left = value
                
                Case "viewAna":     If value > 0 Then viewAna = 1
                Case "anaTop":      If viewAna = 1 Then formAnalogLevels.Top = value
                Case "anaLeft":     If viewAna = 1 Then formAnalogLevels.Left = value
                
                Case "viewScr":     If value > 0 Then viewScr = 1
                Case "scrTop":      If viewScr = 1 Then formScripting.Top = value
                Case "scrLeft":     If viewScr = 1 Then formScripting.Left = value
                Case "scrWidth":    If viewScr = 1 Then formScripting.Width = value
                Case "scrHeight":   If viewScr = 1 Then formScripting.Height = value
                
            End Select
        Wend
        Close #1
        
        If viewCom = 1 Then communications_Click
        If viewDig = 1 Then digitalPins_Click
        If viewAna = 1 Then analogLevels_Click
        If viewScr = 1 Then scripting_Click
        
    Else
    
        communications_Click
        digitalPins_Click
        analogLevels_Click
        scripting_Click

    End If

    statusBar.Panels(1).Text = "Device selected : -none-"
    
End Sub


Private Sub MDIForm_QueryUnload(cancel As Integer, unloadmode As Integer)

    Open "database.ini" For Output As #1
    
    Print #1, "mainTop " & formMain.Top
    Print #1, "mainLeft " & formMain.Left
    Print #1, "mainWidth " & formMain.Width
    Print #1, "mainHeight " & formMain.Height
    
    Print #1, "viewCom " & viewCom
    Print #1, "comTop " & formCommunications.Top
    Print #1, "comLeft " & formCommunications.Left
    
    Print #1, "viewDig " & viewDig
    Print #1, "digTop " & formDigitalPins.Top
    Print #1, "digLeft " & formDigitalPins.Left
    
    Print #1, "viewAna " & viewAna
    Print #1, "anaTop " & formAnalogLevels.Top
    Print #1, "anaLeft " & formAnalogLevels.Left
    
    Print #1, "viewScr " & viewScr
    Print #1, "scrTop " & formScripting.Top
    Print #1, "scrLeft " & formScripting.Left
    Print #1, "scrWidth " & formScripting.Width
    Print #1, "scrHeight " & formScripting.Height

    Close #1
    
    If FT_HANDLE > 0 Then FT_W32_CloseHandle FT_HANDLE
    
End Sub


Private Sub openScript_Click()
    
    With dialogCommon
    
        .DialogTitle = "Open"
        .CancelError = False
        .Filter = "Text Files (*.txt)|*.txt"
        .ShowOpen
        If Len(.FileName) = 0 Then
            Exit Sub
        End If
        
        formScripting.scriptBox.LoadFile .FileName
        formScripting.Caption = .FileName
        scriptChanged = False
        
    End With
        
    If scripting.Checked = False Then
        scripting.Checked = True
        formScripting.Show
    End If
    
End Sub


Private Sub runScript_Click()

    send_comm formScripting.scriptBox.Text & vbCrLf
    
End Sub

Private Sub saveScript_Click()

    formScripting.scriptBox.SaveFile formScripting.Caption, rtfText
    scriptChanged = False
    
End Sub



Private Sub saveAs_Click()

    With dialogCommon
    
        .DialogTitle = "Save As"
        .CancelError = False
        .Filter = "Text Files (*.txt)|*.txt"
        .ShowSave
        If Len(.FileName) = 0 Then
            Exit Sub
        End If
        
        formScripting.scriptBox.SaveFile .FileName, rtfText
        scriptChanged = False
        
    End With
        
    If scripting.Checked = False Then
        scripting.Checked = True
        formScripting.Show
    End If

End Sub


Private Sub quit_Click()
    Unload Me
End Sub


Private Sub about_Click()
    formAbout.Show
End Sub


Private Sub communications_Click()
    If communications.Checked = False Then
        communications.Checked = True
        formCommunications.Show
        viewCom = 1
    Else
        communications.Checked = False
        formCommunications.Hide
        viewCom = 0
    End If
End Sub


Private Sub digitalPins_Click()
    If digitalPins.Checked = False Then
        digitalPins.Checked = True
        formDigitalPins.Show
        viewDig = 1
    Else
        digitalPins.Checked = False
        formDigitalPins.Hide
        viewDig = 0
    End If
End Sub


Private Sub analogLevels_Click()
    If analogLevels.Checked = False Then
        analogLevels.Checked = True
        formAnalogLevels.Show
        viewAna = 1
    Else
        analogLevels.Checked = False
        formAnalogLevels.Hide
        viewAna = 0
    End If
End Sub


Private Sub scripting_Click()
    If scripting.Checked = False Then
        scripting.Checked = True
        formScripting.Show
        viewScr = 1
    Else
        scripting.Checked = False
        formScripting.Hide
        viewScr = 0
    End If
End Sub

